Endpoints

API Reference

Complete reference for all Facta legal research tools.

Base URL

https://facta.tech/api/legalREST API
https://facta.tech/mcpMCP (JSON-RPC)

Authentication

Include your API key in the request headers:

REST API

Authorization: Bearer your-api-key

MCP

FACTA_API_KEY: your-api-key

Sign in to get your API key.

POST

resolve_jurisdiction

Search for a jurisdiction by name. Returns IDs for use in other tools.

Parameters

NameTypeDescription
namerequiredstringJurisdiction name (e.g., 'California', 'US Federal', 'NY')

Request

{
  "name": "California"
}

Response

{
  "success": true,
  "query": "California",
  "found": 2,
  "jurisdictions": [
    {
      "id": "california",
      "name": "California",
      "level": "state",
      "state": "CA"
    },
    {
      "id": "9th-circuit",
      "name": "9th Circuit (includes CA)",
      "level": "federal-circuit",
      "state": null
    }
  ],
  "hint": "Use the 'id' field as the 'jurisdiction' parameter in legal_find."
}